%define upstream_name smmap

Name: 		python-%{upstream_name}
Version: 	0.8.2
Release: 	%mkrel 1
Summary: 	A pure git implementation of a sliding window memory map manager
License:	BSD
Group: 		Development/Python
Url: 		http://pypi.python.org/pypi/smmap
Source0: 	http://pypi.python.org/packages/source/s/smmap/smmap-%{version}.tar.xz
BuildRequires:  python-setuptools
BuildArch:      noarch

%description
When reading from many possibly large files in a fashion similar to random
access, it is usually the fastest and most efficient to use memory maps.

%prep
%setup -q -n %upstream_name-%version

%build
python setup.py build

%install
rm -rf %buildroot
python setup.py install --root=%{buildroot}

%files
%doc PKG-INFO
%{python_sitelib}/smmap
%{python_sitelib}/smmap-%{version}-py%{pyver}.egg-info


%changelog
* Fri Jun 05 2015 gseaman <galen.seaman at comcast.net> 0.8.2-1gseaman2015
- first build
